- @gfm_form = true
- unless moved_mr_sidebar_enabled?
  - @content_class = "merge-request-container#{' limit-container-width' unless fluid_layout}"
- add_to_breadcrumbs _("Merge requests"), project_merge_requests_path(@project)
- breadcrumb_title @merge_request.to_reference
- page_title "#{@merge_request.title} (#{@merge_request.to_reference})", _("Merge requests")
- page_description @merge_request.description_html
- page_card_attributes @merge_request.card_attributes
- suggest_changes_help_path = help_page_path('user/project/merge_requests/reviews/suggestions.md')
- mr_action = j(params[:tab].presence || 'show')
- add_page_specific_style 'page_bundles/merge_requests'
- add_page_specific_style 'page_bundles/pipelines'
- add_page_specific_style 'page_bundles/reports'
- add_page_specific_style 'page_bundles/ci_status'

- add_page_startup_api_call @endpoint_metadata_url

.merge-request{ data: { mr_action: mr_action, url: merge_request_path(@merge_request, format: :json), project_path: project_path(@merge_request.project), lock_version: @merge_request.lock_version } }
  = render "projects/merge_requests/mr_title"

  .merge-request-details.issuable-details{ data: { id: @merge_request.project.id } }
    = render "projects/merge_requests/mr_box"
    .merge-request-tabs-holder{ class: ("js-tabs-affix" unless ENV['RAILS_ENV'] == 'test') }
      .merge-request-tabs-container{ class: "#{'is-merge-request' if !fluid_layout}" }
        %ul.merge-request-tabs.nav-tabs.nav.nav-links
          = render "projects/merge_requests/tabs/tab", class: "notes-tab", qa_selector: "notes_tab" do
            = tab_link_for @merge_request, :show, force_link: @commit.present? do
              = _("Overview")
              = gl_badge_tag @merge_request.related_notes.user.count, { size: :sm }
          - if @merge_request.source_project
            = render "projects/merge_requests/tabs/tab", name: "commits", class: "commits-tab", qa_selector: "commits_tab" do
              = tab_link_for @merge_request, :commits do
                = _("Commits")
                = gl_badge_tag @commits_count, { size: :sm }
          - if @number_of_pipelines.nonzero?
            = render "projects/merge_requests/tabs/tab", name: "pipelines", class: "pipelines-tab" do
              = tab_link_for @merge_request, :pipelines do
                = _("Pipelines")
                = gl_badge_tag @number_of_pipelines, { size: :sm }, { class: 'js-pipelines-mr-count' }
          = render "projects/merge_requests/tabs/tab", name: "diffs", class: "diffs-tab", id: "diffs-tab", qa_selector: "diffs_tab" do
            = tab_link_for @merge_request, :diffs do
              = _("Changes")
              = gl_badge_tag @diffs_count, { size: :sm }
        .d-flex.flex-wrap.align-items-center.justify-content-lg-end
          #js-vue-discussion-counter{ data: { blocks_merge: @project.only_allow_merge_if_all_discussions_are_resolved?.to_s } }

    .tab-content#diff-notes-app
      #js-diff-file-finder
        #js-code-navigation
      = render "projects/merge_requests/tabs/pane", id: "notes", class: "notes voting_notes" do
        %div{ class: "#{'merge-request-overview' if moved_mr_sidebar_enabled?}" }
          %section
            .issuable-discussion.js-vue-notes-event
              - if @merge_request.description.present?
                .detail-page-description
                  = render "projects/merge_requests/description"
              = render "projects/merge_requests/widget"
              = render "projects/merge_requests/awards_block"
              - if mr_action === "show"
                - if Feature.enabled?(:paginated_notes, @project)
                  - add_page_startup_api_call notes_url
                - else
                  - add_page_startup_api_call discussions_path(@merge_request)
                - add_page_startup_api_call widget_project_json_merge_request_path(@project, @merge_request, format: :json)
                - add_page_startup_api_call cached_widget_project_json_merge_request_path(@project, @merge_request, format: :json)
              #js-vue-mr-discussions{ data: { notes_data: notes_data(@merge_request, Feature.enabled?(:paginated_notes, @project)).to_json,
                endpoint_metadata: @endpoint_metadata_url,
                noteable_data: serialize_issuable(@merge_request, serializer: 'noteable'),
                noteable_type: 'MergeRequest',
                target_type: 'merge_request',
                help_page_path: suggest_changes_help_path,
                current_user_data: @current_user_data,
                is_locked: @merge_request.discussion_locked.to_s } }
          - if moved_mr_sidebar_enabled?
            = render 'shared/issuable/sidebar', issuable_sidebar: @issuable_sidebar, assignees: @merge_request.assignees, reviewers: @merge_request.reviewers, source_branch: @merge_request.source_branch

      = render "projects/merge_requests/tabs/pane", name: "commits", id: "commits", class: "commits" do
        -# This tab is always loaded via AJAX
      = render "projects/merge_requests/tabs/pane", name: "pipelines", id: "pipelines", class: "pipelines" do
        - if @number_of_pipelines.nonzero?
          = render 'projects/commit/pipelines_list', disable_initialization: true, endpoint: pipelines_project_merge_request_path(@project, @merge_request)
      - params = request.query_parameters.merge(diff_head: true)
      = render "projects/merge_requests/tabs/pane", name: "diffs", id: "js-diffs-app", class: "diffs", data: diffs_tab_pane_data(@project, @merge_request, params)

    .mr-loading-status
      .loading.hide
        = gl_loading_icon(size: 'lg')

- unless moved_mr_sidebar_enabled?
  = render 'shared/issuable/sidebar', issuable_sidebar: @issuable_sidebar, assignees: @merge_request.assignees, reviewers: @merge_request.reviewers, source_branch: @merge_request.source_branch

- if @merge_request.can_be_reverted?(current_user)
  = render "projects/commit/change", type: 'revert', commit: @merge_request.merge_commit
- if @merge_request.can_be_cherry_picked?
  = render "projects/commit/change", type: 'cherry-pick', commit: @merge_request.merge_commit

#js-review-bar

- if current_user&.mr_attention_requests_enabled?
  #js-need-attention-sidebar-onboarding

= render 'projects/invite_members_modal', project: @project
= render 'shared/web_ide_path'
